// creator  : C:\GAMES\BGII-S~1\WEIDU.EXE (version 19)
// argument : TASHIAP.DLG
// game     : .
// source   : .\override\TASHIAP.DLG
// dialog   : .\dialog.tlk
// dialogF  : (none)

BEGIN ~TASHIAP~

IF ~Global("KickedOut","LOCALS",0)
    !Global("TADreamResurrected","GLOBAL",3)
    HappinessGT(Myself,-290)~ THEN BEGIN 0 // from:
  SAY ~So, we're to go seperate paths from now on?~ /* #75210 */
  IF ~~ THEN REPLY ~Oops, my mistake. Come back into the party please.~ /* #75211 */ GOTO 6
  IF ~~ THEN REPLY ~Yes, let's split up for now.~ /* #75212 */ GOTO 7
END

IF ~HappinessGT(Myself,-290)
    !Global("TADreamResurrected","GLOBAL",3)~ THEN BEGIN 1 // from:
  SAY ~Welcome back, <CHARNAME>. What can I do for you?~ /* #75213 */
  IF ~~ THEN REPLY ~Hello again, Tashia. Care to travel with us once again?~ /* #75214 */ GOTO 2
  IF ~~ THEN REPLY ~Hey Tashia. I'm just passing by.~ /* #75215 */ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY ~Well, I suppose some time on the road couldn't hurt.~ /* #75216 */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
    JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY ~Ah, well, don't mind me.~ /* #75217 */
  IF ~~ THEN EXIT
END

IF ~HappinessLT(Myself,-289)~ THEN BEGIN 4 // from:
  SAY ~Ugh... not you again! I want nothing to do with you. Leave me be.~ /* #75218 */
  IF ~~ THEN EXIT
END

IF ~Global("KickedOut","LOCALS",0)
 HappinessLT(Myself,-289)~ THEN BEGIN 5 // from:
  SAY ~It is just as I have imagined. Truly, if I wanted to see such horrible deeds, I would have remained with Arilistan. Farewell, <CHARNAME>.~ /* #75219 */
  IF ~~ THEN DO ~LeaveParty()
    SetGlobal("KickedOut","LOCALS",1)
    MoveGlobal("AR2010","Tashia",[702.542])~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 0.0
  SAY ~As you wish.~ /* #9749 */
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 0.1
  SAY ~Alright. I guess I shall go back to Trademeet, then.~ /* #75220 */
  IF ~!AreaCheck("AR0602")
!AreaCheck("AR0603")
!AreaCheck("AR0410")
!AreaCheck("AR0411")
!AreaCheck("AR0412")
!AreaCheck("AR0413")
!AreaCheck("AR0414")
!AreaCheck("AR1512")
!AreaCheck("AR1513")
!AreaCheck("AR1514")
!AreaCheck("AR1515")
!AreaCheck("AR1516") 
!AreaCheck("AR1501")
!AreaCheck("AR1502")
!AreaCheck("AR1503")
!AreaCheck("AR1504")
!AreaCheck("AR1505")
!AreaCheck("AR1506")
!AreaCheck("AR1507")
!AreaCheck("AR1508")
!AreaCheck("AR1509")
!AreaCheck("AR1510")
!AreaCheck("AR1511")
!AreaCheck("AR2100")
!AreaCheck("AR2101")
!AreaCheck("AR2102")
!AreaCheck("AR2200")
!AreaCheck("AR2202")
!AreaCheck("AR2203")
!AreaCheck("AR2204")
!AreaCheck("AR2205")
!AreaCheck("AR2206")
!AreaCheck("AR2207")
!AreaCheck("AR2208")
!AreaCheck("AR2209")
!AreaCheck("AR2210")
!AreaCheck("AR2300")
!AreaCheck("AR2400")
!AreaCheck("AR2401")
!AreaCheck("AR2402")
!AreaCheck("AR2900")
!AreaCheck("AR2901")
!AreaCheck("AR2902")
!AreaCheck("AR2903")
!AreaCheck("AR2904")
!AreaCheck("AR2905")
!AreaCheck("AR2906")~ THEN REPLY ~Yes, I know where to find you if anything.~ /* #75221 */ DO ~SetGlobal("KickedOut","LOCALS",1)
    MoveGlobal("AR2010","Tashia",[702.542])~ EXIT
  IF ~!AreaCheck("AR0301")
 !AreaCheck("AR0302")
 !AreaCheck("AR0303")
 !AreaCheck("AR0304")
 !AreaCheck("AR0305")
 !AreaCheck("AR0306")
 !AreaCheck("AR0307")
 !AreaCheck("AR0509")
 !AreaCheck("AR0510")
 !AreaCheck("AR0511")
 !AreaCheck("AR1102")
 !AreaCheck("AR1107")
 !AreaCheck("AR0801")
 !AreaCheck("AR0803")
 !AreaCheck("AR1300")
 !AreaCheck("AR1301") 
 !AreaCheck("AR1302")
 !AreaCheck("AR1303")
 !AreaCheck("AR0604")
 !AreaCheck("AR0605")
 !AreaCheck("AR0606")
 !InWatchersKeep()~ THEN REPLY ~Actually, please wait right here. I won't be long.~ /* #75222 */ DO ~SetGlobal("KickedOut","LOCALS",1) ~ EXIT
END

IF ~Global("TADreamResurrected","GLOBAL",3)~ THEN BEGIN 8 // from:
  SAY ~You... you've brought me back to life!!~ [TashiaM2] /* #75223 */
  IF ~~ THEN DO ~SetGlobal("TADreamResurrected","GLOBAL",4)~ GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY ~Oh <CHARNAME>! I've been so foolish, so naive, so gullible! I thought...~ /* #75224 */
  IF ~~ THEN REPLY ~Shhhh... It's alright, no need to explain. Come, let's get out of here.~ /* #75225 */ GOTO 13
  IF ~~ THEN REPLY ~Oh hush up. I saved you, and now I'm leaving. I trust you know your way out?~ /* #75226 */ GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.1
  SAY ~But...~ /* #75227 */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY ~I thought that you cared for me? I was...~ /* #75228 */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY ~Oh, nevermind! I always told myself I would regret any romantic involvement, and I was right... Don't touch me! I'll find my way out.~ /* #75229 */
  IF ~~ THEN DO ~SetGlobal("TashiaRomanceActive","GLOBAL",3)
SetLeavePartyDialogFile()
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 9.0
  SAY ~But I have to say this... <CHARNAME>. As I have been trapped there in the back of my mind, I've had the clarity to consider matters at hand most carefully...~ /* #75230 */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY ~I have realized a most simple truth, which has eluded me until now... I have... I care for you deeply, <CHARNAME>...~
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY ~I have... felt this way about you for a while now, but I was simply afraid to admit it to myself, and to you. However, I shall fear no longer! I love you... with all my heart. I want you to know that from now until the end of time, I will always be there for you, just as you were there for me, regardless of what your true feelings toward me may be.~ /* #75296 */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY ~I owe you everything. You have saved me time and time again... with Arilistan dead, I have nothing to be scared of, nothing to look back on, with pain in my heart. The past is past, and the future is now... You have been patient with me for a long time, and I shall never forget that.~ /* #75297 */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY ~<CHARNAME>, let us leave this place together, and never look back!~ /* #75234 */
  IF ~~ THEN REPLY ~What? You're mad, Tashia! I have no feelings for you other than friendship!~ GOTO 10
  IF ~~ THEN REPLY ~Alright, if I must...~ /* #75235 */ DO ~SetGlobal("TashiaRomanceActive","GLOBAL",2)
JoinParty()~ EXIT
  IF ~~ THEN REPLY ~As you wish.~ /* #75235 */ DO ~SetGlobal("TashiaRomanceActive","GLOBAL",2)
JoinParty()~ EXIT
  IF ~~ THEN REPLY ~I would have it no other way.~ /* #75235 */ DO ~SetGlobal("TashiaRomanceActive","GLOBAL",2)
JoinParty()~ EXIT
  IF ~~ THEN REPLY ~I love you, Tashia, and would have it no other way.~ /* #75235 */ DO ~SetGlobal("TashiaRomanceActive","GLOBAL",2)
JoinParty()~ GOTO 18
END

IF ~~ THEN BEGIN 18
  SAY ~You... you do?~
  IF ~~ THEN REPLY ~Of course I do! Why are you surprised?~ GOTO 19
END

IF ~~ THEN BEGIN 19
  SAY ~I... well... I had hoped you would have feelings for me, but I wasn't sure...~
    = ~Oh <CHARNAME>! I am so relieved!~
    = ~But ... you still haven't gotten your soul back, have you?~
  IF ~Gender(Player1,MALE)~ THEN REPLY ~No, not yet.~ GOTO 20
  IF ~!Gender(Player1,MALE)~ THEN REPLY ~No, not yet.~ GOTO 21
END

IF ~~ THEN BEGIN 20
  SAY ~Well, then the path is clear. Let us be off, my Prince! This time, neither of us shall stand alone ever again.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 21
  SAY ~Well, then the path is clear. Let us be off, my Princess! This time, neither of us shall stand alone ever again.~
  IF ~~ THEN EXIT
END
